%define upstream_name    Time-HiRes
%define upstream_version 1.9733

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    High resolution time, sleep, and alarm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl(strict)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
The 'Time::HiRes' module implements a Perl interface to the 'usleep',
'nanosleep', 'ualarm', 'gettimeofday', and 'setitimer'/'getitimer' system
calls, in other words, high resolution time and timers. See the the
/EXAMPLES manpage section below and the test scripts for usage; see your
system documentation for the description of the underlying 'nanosleep' or
'usleep', 'ualarm', 'gettimeofday', and 'setitimer'/'getitimer' calls.

If your system lacks 'gettimeofday()' or an emulation of it you don't get
'gettimeofday()' or the one-argument form of 'tv_interval()'. If your
system lacks all of 'nanosleep()', 'usleep()', 'select()', and 'poll', you
don't get 'Time::HiRes::usleep()', 'Time::HiRes::nanosleep()', or
'Time::HiRes::sleep()'. If your system lacks both 'ualarm()' and
'setitimer()' you don't get 'Time::HiRes::ualarm()' or
'Time::HiRes::alarm()'.

If you try to import an unimplemented function in the 'use' statement it
will fail at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 1:1.973.300-1.mga6
+ Revision: 1010824
- update to 1.9733

* Fri Apr 15 2016 shlomif <shlomif> 1:1.973.200-1.mga6
+ Revision: 1002326
- update to 1.9732

* Fri Feb 12 2016 umeabot <umeabot> 1:1.972.600-10.mga6
+ Revision: 958136
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1:1.972.600-9.mga6
+ Revision: 845373
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1:1.972.600-8.mga6
+ Revision: 841401
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1:1.972.600-7.mga5
+ Revision: 749351
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:1.972.600-6.mga5
+ Revision: 736106
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:1.972.600-5.mga5
+ Revision: 686698
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1:1.972.600-4.mga5
+ Revision: 631816
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 1:1.972.600-3.mga5
+ Revision: 588086
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 1:1.972.600-2.mga4
+ Revision: 532422
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 sander85 <sander85> 1:1.972.600-1.mga4
+ Revision: 468413
- update to 1.9726

* Wed May 29 2013 jquelin <jquelin> 1:1.972.500-4.mga4
+ Revision: 431823
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.972.500-3.mga3
+ Revision: 374354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1:1.972.500-2.mga3
+ Revision: 251256
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1:1.972.500-1.mga2
+ Revision: 219818
- update to 1.9725

* Fri Nov 04 2011 jquelin <jquelin> 1:1.972.400-2.mga2
+ Revision: 162844
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 1:1.972.400-1.mga2
+ Revision: 112083
- update to 1.9724

* Sat Jun 11 2011 sander85 <sander85> 1:1.972.100-6.mga2
+ Revision: 103767
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 1:1.972.100-5.mga1
+ Revision: 53665
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1:1.972.100-4.mga1
+ Revision: 31365
- mageia rebuild
- imported package perl-Time-HiRes

